<script type="text/javascript">
$(document).ready(function(){
	$("#form_cari_kode").hide();
	$("#form_cari_barang").hide();
	$("#data_detail").hide();
	
	$("#txt_gudang").focus();
	
	$("#mulai").click(function(){
	    var gudang = $("#txt_gudang").val();
	    
	    if(gudang==''){
	        alert('Maaf, kolom Gudang masih kosong. Pilih gudang yang distok opname dengan klik di kolom Gudang.');
	        $("#txt_gudang").focus();
	        return(false);
	    }
		$(".input_detail").val('');
		$(".input_header").val('');		
		$("#txt_caribr").val('');
		cari_tgl();
	});

	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}

	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		var gudang  = $("#txt_gudang").val();
		$.ajax({
			type	: "POST",
			url		: "modul/opname/cari_nomor.php",
			data	: "tanggal="+tanggal+
			        "&gudang="+gudang,
			dataType: "json",
			success	: function(data){
				$("#txt_kode").val(data.nomor);
				tampil_data_detail();
			}
		});
	}

	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("modul/opname/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
	
	$("#txt_gudang").keyup(function(){
	    var tanggal = $("#txt_tanggal").val();
	    
	    if(!(tanggal=='')) cari_nomor();
	});
	
	$("#txt_gudang").click(function(){
	    var tanggal = $("#txt_tanggal").val();
	    
	    if(!(tanggal=='')) cari_nomor();
	});
	
	$('#form_cari_kode').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#cari_kode').click(function(){
		$('#form_cari_kode').dialog('open');		
		var no=1;
		
		$.ajax({
			type	: "POST",
			url 	: "modul/opname/tampil_data_op.php",
			data	: "no="+no,
			success	: function(data){
				$("#info_kode").html(data);
				tampil_data_detail();
			}
		});
	});
	
	$('#txt_kodest').keyup(function(){
		var kode    = $("#txt_kodest").val();
		var gudang  = $("#txt_gudang").val();
		
		if(kode.length>4){
		    $.ajax({
			    type	: "POST",
			    url		: "modul/opname/cari_barang.php",
			    data	: "kode="+kode+
			            "&gudang="+gudang,
			    dataType: "json",
			    success	: function(data){
				    $("#txt_namast").val(data.namast);
				    $("#txt_satuan").val(data.satuan);
				    $("#txt_hgbeli").val(data.hgbeli);
				    $("#txt_jmlstok").val(data.jmlstok);
				    var namast = $("#txt_namast").val();
				
				    if(namast==''){
					    alert('Data persediaan '+kode+' tidak ditemukan.');
					    $("#txt_kodest").focus();
					    return (false);
				    }else $("#txt_jmlopn").focus();
			    }
		    });
		}
	});
		
	$('#form_cari_barang').dialog({
		autoOpen: false,
		modal	: true,
		width: 900,
	});
	
	$('#txt_namast').keyup(function(){
		var cari	= $("#txt_caribr").val();
		var gudang	= $("#txt_gudang").val();
		$('#form_cari_barang').dialog('open');
		$("#info_barang").show();
		$("#info_barang").load('modul/opname/tampil_data_barang.php?cari='+cari+'&gudang='+gudang);
		$("#txt_caribr").focus();
	});
	
	$('#txt_namast').click(function(){
		var cari	= $("#txt_caribr").val();
		var gudang	= $("#txt_gudang").val();
		$('#form_cari_barang').dialog('open');
		$("#info_barang").show();
		$("#info_barang").load('modul/opname/tampil_data_barang.php?cari='+cari+'&gudang='+gudang);
		$("#txt_caribr").focus();
	});
	
	$("#txt_caribr").keyup(function(){
		var cari	= $("#txt_caribr").val();
		var gudang	= $("#txt_gudang").val();
		
		if(cari.length>3){	
		$.ajax({
			type	: "POST",
			url		: "modul/opname/tampil_data_barang.php",
			data	: "cari="+cari+
					"&gudang="+gudang,
			success	: function(data){
				$("#info_barang").html(data);
			}
		});
		}
	});
	
	$("#txt_jmlopn").keyup(function(){
		var jopn  = $("#txt_jmlopn").val();
		var jstok = $("#txt_jmlstok").val();
		var	hbeli = $("#txt_hgbeli").val();
		var pjopn = jopn.length;
		var pjawl = pjopn-1;
		var akopn = jopn.substring(pjawl,pjopn);
		var jsls  = parseFloat(jopn)-parseFloat(jstok);
		var	nilsls= jsls*parseInt(hbeli);
		
		$("#txt_jmlsls").val(jsls);
		$("#txt_nilaisls").val(nilsls);
		
		if(akopn=='+') $("#simpan").focus();
	});
	
	$("#simpan").click(function(){
		var	kode	= $("#txt_kode").val();		
		var	tanggal	= $("#txt_tanggal").val();		
		var	kodest	= $("#txt_kodest").val();
		var	namast	= $("#txt_namast").val();
		var	satuan	= $("#txt_satuan").val();
		var	jmlstok	= $("#txt_jmlstok").val();		
		var	hgbeli	= $("#txt_hgbeli").val();
		var	jmlopn	= $("#txt_jmlopn").val();
		var	jmlsls	= $("#txt_jmlsls").val();
		var	nilsls	= $("#txt_nilaisls").val();
		var	gudang	= $("#txt_gudang").val();
		var kodegd  = kode.substring(2,4);
		
		if(gudang=='Gudang') var ngudang='GD';
		else var ngudang=gudang;
		
		if(tanggal.length == 0){
           alert("Maaf, Tanggal opname tidak boleh kosong.");
		   return (false);
        }
		if(kode.length == 0){
           alert("Maaf, Kode faktur masih kosong, klik Input Stok Opname untuk buat nomor baru.");
		   return (false);
        }
        
        if(!(kodegd==ngudang)){
            alert('Maaf, format Kode Opname '+kodegd+' tidak sesuai dengan pilihan Gudang '+ngudang+'. Pilih gudang yang di opname, lalu klik timbol Input Stok Opname.');
            $("#mulai").focus();
            return(false);
        }
		if(kodest.length == 0){
           alert("Maaf, Kode Barang tidak boleh kosong");
		   $("#txt_kodest").focus();
		   return (false);
        }
		
		if(jmlopn.length == 0){
			alert("Maaf, Jumlah stok fisik belum diisi.");
			$("#txt_jmlopn").focus();
			return (false);
        }
		  
		$.ajax({
			type	: "POST",
			url		: "modul/opname/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+					
					"&kodest="+kodest+
					"&namast="+namast+
					"&satuan="+satuan+
					"&hgbeli="+hgbeli+
					"&jmlstok="+jmlstok+
					"&jmlopn="+jmlopn+
					"&jmlsls="+jmlsls+
					"&gudang="+gudang+
					"&nilsls="+nilsls,
			timeout	: 2000,
			beforeSend	: function(){
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_kodest").focus();
				tampil_data_detail();
			}
		});
	});
		
	$("#tutup").click(function(){
		var	total	 = $("#txt_total").val();		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
.input_detail readonly {
	background:#666;
}
</style>

<?php
include "../../inc/inc.koneksi.php";

echo "<table width='100%'>
	<tr>
		<td>Kode Opname : <input type='text' name='txt_kode' id='txt_kode' size='13' class='input_header' readonly/>
			<img src='images/view.png' width='18' height='18' title='Cari Kode Opname' id='cari_kode'>
		</td>
		<td></td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10'></td>
		<td>Gudang : <select id='txt_gudang'>
		        <option value=''>-</option>
				<option value='Gudang'>Gudang Pusat</option>";
				$sql=mysql_query("SELECT * FROM cabang WHERE 1 ORDER BY kode_cab");
				while($r=mysql_fetch_array($sql)){
				    $kodecab=$r[kode_cab];
				    echo "<option value='$kodecab'>$r[nama_cab]</option>";
				}
			echo "</select>
		</td>
	</tr>
</table>
<hr>";

echo "<table>
		<tr>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Satuan</th>
			<th>Hrg. Pokok</th>
			<th>Jml. Stok</th>
			<th>Jml. Fisik</th>
			<th></th>
			<th>Selisih</th>
			<th>Nilai Selisih</th>
			<th></th>
		</tr>
		<tr>
			<td align='center'><input type='text' id='txt_kodest' class='input_detail' size='5'></td>
			<td align='center'><input type='text' id='txt_namast' class='input_detail' size='30' ></td>
			<td align='center'><input type='text' id='txt_satuan' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' id='txt_hgbeli' class='input_detail' size='10' readonly /></td>
			<td align='center'><input type='text' id='txt_jmlstok' class='input_detail' size='7' readonly /></td>
			<td align='center'><input type='text' id='txt_jmlopn' class='input_detail' size='7' ></td>
			<td align='center'><button id='simpan'>Rekam</button></td>
			<td align='center'><input type='text' id='txt_jmlsls' class='input_detail' size='7' readonly /></td>
			<td align='center'><input type='text' id='txt_nilaisls' class='input_detail' size='10' readonly /></td>
			<td style='color:red'><b>Ketik + untuk mengakhiri pengetikan Jumlah Fisik !</b></td>
		</tr>
	</table>
	<hr>";

echo "<div id='form_cari_kode' title='Pencarian Kode Opname'>		
		<div id='info_kode' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<div id='data_detail' style='overflow-x: auto;height: 350px;scroll-behavior: smooth'></div>";
	
echo "<div id='form_cari_barang' title='Pencarian Barang'>
		<table width='100%'>
			<tr>
				<td>Cari Barang : <input type='text' id='txt_caribr' size='40'></td>
			</tr>
		</table>
		<div id='info_barang' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>
	</div>";

echo "<table width='100%'>
	<tr>
		<td colspan='3' align='center'>
		    <button name='mulai' id='mulai'>Input Stok Opname</button>
		    <button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
</table>";
?>